## WMS Set Routes request WMS Set Routes request |

## Functions

QmiMessageWmsSetRoutesInput * | qmi_message_wms_set_routes_input_new ()
QmiMessageWmsSetRoutesInput * | qmi_message_wms_set_routes_input_ref ()
void | qmi_message_wms_set_routes_input_unref ()
gboolean | qmi_message_wms_set_routes_input_get_transfer_status_report ()
gboolean | qmi_message_wms_set_routes_input_set_transfer_status_report ()
gboolean | qmi_message_wms_set_routes_input_get_route_list ()
gboolean | qmi_message_wms_set_routes_input_set_route_list ()
QmiMessageWmsSetRoutesOutput * | qmi_message_wms_set_routes_output_ref ()
void | qmi_message_wms_set_routes_output_unref ()
gboolean | qmi_message_wms_set_routes_output_get_result ()
void | qmi_client_wms_set_routes ()
QmiMessageWmsSetRoutesOutput * | qmi_client_wms_set_routes_finish ()

## Types and Values

| QmiMessageWmsSetRoutesInput
| QmiMessageWmsSetRoutesInputRouteListElement
| QmiMessageWmsSetRoutesOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWmsSetRoutesInput
        ╰── QmiMessageWmsSetRoutesOutput

## Description

## Functions

### qmi_message_wms_set_routes_input_new ()

    QmiMessageWmsSetRoutesInput *
    qmi_message_wms_set_routes_input_new (void);

Allocates a new QmiMessageWmsSetRoutesInput.

#### Returns

the newly created QmiMessageWmsSetRoutesInput. The returned value should be freed with `qmi_message_wms_set_routes_input_unref()`.

Since: 1.0

### qmi_message_wms_set_routes_input_ref ()

    QmiMessageWmsSetRoutesInput *
    qmi_message_wms_set_routes_input_ref (QmiMessageWmsSetRoutesInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsSetRoutesInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_set_routes_input_unref ()

    void
    qmi_message_wms_set_routes_input_unref
                                   (QmiMessageWmsSetRoutesInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsSetRoutesInput. |

Since: 1.0

### qmi_message_wms_set_routes_input_get_transfer_status_report ()

    gboolean
    qmi_message_wms_set_routes_input_get_transfer_status_report
                                   (QmiMessageWmsSetRoutesInput *self,
                                    QmiWmsTransferIndication *value_transfer_status_report,
                                    GError **error);

Get the 'Transfer Status Report' field from `self` .

#### Parameters

self | a QmiMessageWmsSetRoutesInput. |
value_transfer_status_report | a placeholder for the output QmiWmsTransferIndication, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wms_set_routes_input_set_transfer_status_report ()

    gboolean
    qmi_message_wms_set_routes_input_set_transfer_status_report
                                   (QmiMessageWmsSetRoutesInput *self,
                                    QmiWmsTransferIndication value_transfer_status_report,
                                    GError **error);

Set the 'Transfer Status Report' field in the message.

#### Parameters

self | a QmiMessageWmsSetRoutesInput. |
value_transfer_status_report | a QmiWmsTransferIndication. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wms_set_routes_input_get_route_list ()

    gboolean
    qmi_message_wms_set_routes_input_get_route_list
                                   (QmiMessageWmsSetRoutesInput *self,
                                    GArray **value_route_list,
                                    GError **error);

Get the 'Route List' field from `self` .

#### Parameters

self | a QmiMessageWmsSetRoutesInput. |
value_route_list | a placeholder for the output GArray of QmiMessageWmsSetRoutesInputRouteListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageWmsSetRoutesInputRouteListElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wms_set_routes_input_set_route_list ()

    gboolean
    qmi_message_wms_set_routes_input_set_route_list
                                   (QmiMessageWmsSetRoutesInput *self,
                                    GArray *value_route_list,
                                    GError **error);

Set the 'Route List' field in the message.

#### Parameters

self | a QmiMessageWmsSetRoutesInput. |
value_route_list | a GArray of QmiMessageWmsSetRoutesInputRouteListElement elements. A new reference to `value_route_list` will be taken. | [in][element-type QmiMessageWmsSetRoutesInputRouteListElement]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_wms_set_routes_output_ref ()

    QmiMessageWmsSetRoutesOutput *
    qmi_message_wms_set_routes_output_ref (QmiMessageWmsSetRoutesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWmsSetRoutesOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_wms_set_routes_output_unref ()

    void
    qmi_message_wms_set_routes_output_unref
                                   (QmiMessageWmsSetRoutesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWmsSetRoutesOutput. |

Since: 1.0

### qmi_message_wms_set_routes_output_get_result ()

    gboolean
    qmi_message_wms_set_routes_output_get_result
                                   (QmiMessageWmsSetRoutesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWmsSetRoutesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_wms_set_routes ()

    void
    qmi_client_wms_set_routes (QmiClientWms *self,
                               QmiMessageWmsSetRoutesInput *input,
                               guint timeout,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously sends a Set Routes request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wms_set_routes_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWms. |
input | a QmiMessageWmsSetRoutesInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_wms_set_routes_finish ()

    QmiMessageWmsSetRoutesOutput *
    qmi_client_wms_set_routes_finish (QmiClientWms *self,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an async operation started with `qmi_client_wms_set_routes()`.

#### Parameters

self | a QmiClientWms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wms_set_routes()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWmsSetRoutesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wms_set_routes_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageWmsSetRoutesInput

    typedef struct _QmiMessageWmsSetRoutesInput QmiMessageWmsSetRoutesInput;

The QmiMessageWmsSetRoutesInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageWmsSetRoutesInputRouteListElement

    typedef struct {
        QmiWmsMessageType message_type;
        QmiWmsMessageClass message_class;
        QmiWmsStorageType storage;
        QmiWmsReceiptAction receipt_action;
    } QmiMessageWmsSetRoutesInputRouteListElement;

A QmiMessageWmsSetRoutesInputRouteListElement struct.

#### Members

QmiWmsMessageType `message_type`; | a QmiWmsMessageType. |
QmiWmsMessageClass `message_class`; | a QmiWmsMessageClass. |
QmiWmsStorageType `storage`; | a QmiWmsStorageType. |
QmiWmsReceiptAction `receipt_action`; | a QmiWmsReceiptAction. |

Since: 1.0

### QmiMessageWmsSetRoutesOutput

    typedef struct _QmiMessageWmsSetRoutesOutput QmiMessageWmsSetRoutesOutput;

The QmiMessageWmsSetRoutesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0